{% extends 'base.html.twig' %}

{% block stylesheets %}
  {{ parent() }}
  <link rel="stylesheet" href="{{asset('css/orariStyle.css')}}" />
{% endblock %}

{% block content %}

  <div class="ui raised segment">
    <div class="ui breadcrumb" style="margin: 2%">
      <a href="{{path('homepage')}}"class="section">Home</a>
      <i class="right angle icon divider"></i>
      <a href="{{path('admin_ristoranti_lista')}}" class="section">Ristoranti</a>
      <i class="right angle icon divider"></i>
      <a href="{{path('admin_ristorante_dettagli', { 'id': ristorante.id })}}" class="section">{{ristorante.nome}}</a>
      <i class="right angle icon divider"></i>
      <div class="active section">Orari</div>
    </div>
  </div>

  <h2 class="ui header fly" style="display: none">
    <i class="calendar icon"></i>
    <div class="content">
      Orari {{ristorante.nome}}
    </div>
  </h2>

  <div class="ui divider"></div>

  <h4 class="ui center aligned icon header">
    <i class="circular checked calendar icon"></i>
    Seleziona un giorno e ti verranno mostrati gli orari di pranzo e cena
  </h4>
  <div class="ui right labeled left icon input"  style="margin-left: 42%">
    <i class="checked calendar icon"></i>
    <input id="seleziona-giorno" type='text' class="datepicker-here" data-language="it" data-position="bottom left"/>
    <div class="ui blue corner label">
      <i class="clock icon"></i>
    </div>
  </div>

  <div id="orari" class="ui container" data-id="{{ristorante.id}}"></div>
  <div class="loader" style="display: none; margin-top: 30px"></div>

  <div id="new-orari-modal" class="ui large modal">
    <div class="header">Aggiungi un nuovo giorno di apertura:</div>
    <div class="content" style="padding: 30px">
      <form class="ui form" method="post">
        <input type="hidden" value="{{ristorante.id}}" name="ristorante"/>
        <div class="five fields">
          <div class="required field">
            <label>Giorno</label>
            <input id="giorno-apertura" type='text' name="giorno"/>
          </div>
          <div class="field">
            <label>Apertura pranzo</label>
            <input type="time" name="apertura-pranzo">
          </div>
          <div class="field">
            <label>Chiusura pranzo</label>
            <input type="time" name="chiusura-pranzo">
          </div>
          <div class="field">
            <label>Apertura cena</label>
            <input type="time" name="apertura-cena">
          </div>
          <div class="field">
            <label>Chiusura cena</label>
            <input type="time" name="chiusura-cena">
          </div>
        </div>
        <div class="ui divider"></div>
        <span style="color: #DB2828; margin-right: 5px">*</span>Campo obbligatorio
        <button id="confirm-orari-form" style="margin: 0; display: inline; float:right" type="submit" class="ui right labeled icon positive button">
          <i class="checkmark icon"></i> Ok, ho finito!
        </button>
        <div style="margin: 0; display: inline; float:right" class="actions">
          <div class="ui cancel button">
            Annulla
          </div>
        </div>
      </form>
    </div>
  </div>

  <div id="orari-response-modal" class="ui basic modal menu-modal" closable="true">
    <div class="ui icon header">
      <i class="add to calendar icon"></i>
      Giorno di apertura mancante
    </div>
    <div class="content" style="margin-left: 200px">
      <p>Per questo giorno il ristorante non ha orari di apertura. Vuoi aggiungerli ora?</p>
    </div>
    <div class="actions">
      <a><div class="ui red basic cancel inverted button">
        <i class="remove icon"></i>
        No
      </div></a>
      <a id="new-orari-button"><div class="ui green ok inverted button">
        <i class="checkmark icon"></i>
        Si
      </div></a>
    </div>
  </div>

  {% block javascripts %}

  {% endblock %}

{% endblock %}
